Jobs
Generated from Depllo's own code: every route in this area, what it takes and how to call it.
Get a job
GET /api/v1/jobs/{id}
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Example
curl -X GET "https://depllo.forjio.com/api/v1/jobs/:id" \
-H "Authorization: Bearer sk_live_<your API key>"
List download
GET /api/v1/jobs/{id}/artifacts/{artId}/download
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
artId |
string |
yes |
|
Example
curl -X GET "https://depllo.forjio.com/api/v1/jobs/:id/artifacts/:artId/download" \
-H "Authorization: Bearer sk_live_<your API key>"
Cancel a job
POST /api/v1/jobs/{id}/cancel
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Example
curl -X POST "https://depllo.forjio.com/api/v1/jobs/:id/cancel" \
-H "Authorization: Bearer sk_live_<your API key>"
List log
GET /api/v1/jobs/{id}/log
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Query parameters
| Name |
Type |
Required |
Notes |
from |
any |
no |
|
Example
curl -X GET "https://depllo.forjio.com/api/v1/jobs/:id/log" \
-H "Authorization: Bearer sk_live_<your API key>"
SSE tail: replays chunks from ?from= then polls the DB every ~1s.
GET /api/v1/jobs/{id}/log/stream
SSE tail: replays chunks from ?from= then polls the DB every ~1s.
Emits chunk events, : ping heartbeat comments, and a final
done event when the job reaches a terminal status.
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Query parameters
| Name |
Type |
Required |
Notes |
from |
any |
no |
|
Example
curl -X GET "https://depllo.forjio.com/api/v1/jobs/:id/log/stream" \
-H "Authorization: Bearer sk_live_<your API key>"
Play a job
POST /api/v1/jobs/{id}/play
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Example
curl -X POST "https://depllo.forjio.com/api/v1/jobs/:id/play" \
-H "Authorization: Bearer sk_live_<your API key>"
Retry a job
POST /api/v1/jobs/{id}/retry
Path parameters
| Name |
Type |
Required |
Notes |
id |
string |
yes |
|
Example
curl -X POST "https://depllo.forjio.com/api/v1/jobs/:id/retry" \
-H "Authorization: Bearer sk_live_<your API key>"